Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class MenuItemRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.AjaxCommandRendererBase
                  org.richfaces.renderkit.html.MenuItemRendererBase

Direct Known Subclasses:
  MenuItemRenderer

    public class MenuItemRendererBase

extends AjaxCommandRendererBase

Field Summary
`static String` | `RENDERER_TYPE`

Constructor Summary
`MenuItemRendererBase()`

Method Summary
`void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`protected AbstractDropDownMenu` | `getDDMenu(javax.faces.component.UIComponent component)` Returns a parent `AbstractDropDownMenu` object of the given component.
`protected String` | `getIconAttribute(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected javax.faces.component.UIComponent` | `getIconFacet(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected AbstractMenuGroup` | `getMenuGroup(javax.faces.component.UIComponent component)` Returns a parent `AbstractMenuGroup` object of the given component.
`String` | `getOnClick(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` overridden due to `https://issues.jboss.org/browse/RF-10695`
`protected String` | `getOnClickFunction(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected String` | `getStyleClass(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, String ddMenuStyle, String menuGroupStyle, String menuItemStyle)`
`String` | `getSubmitMode(javax.faces.component.UIComponent component)`
`protected boolean` | `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected boolean` | `isStringEmpty(String str)` It is introduced due to RF-10004 CDK: isEmpty method is generated incorrectly
`protected org.richfaces.component.Mode` | `resolveSubmitMode(AbstractMenuItem menuItem)`

Methods inherited from class org.richfaces.renderkit.AjaxCommandRendererBase
`isSubmitted, queueComponentEventForBehaviorEvent`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final String RENDERER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### MenuItemRendererBase

    public MenuItemRendererBase()

Method Detail

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component)

### getIconFacet

    protected javax.faces.component.UIComponent getIconFacet(javax.faces.context.FacesContext facesContext,
                                                             javax.faces.component.UIComponent component)

### getIconAttribute

    protected String getIconAttribute(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent component)

### doDecode

    public void doDecode(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)

  Description copied from class: `RendererBase`
  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Overrides:
    `doDecode` in class `AjaxCommandRendererBase`

### getOnClickFunction

    protected String getOnClickFunction(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent component)

### getOnClick

    public String getOnClick(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)

  overridden due to `https://issues.jboss.org/browse/RF-10695`

  Overrides:
    `getOnClick` in class `AjaxCommandRendererBase`
  Parameters:
    `context` -
    `component` -
  Returns:

### resolveSubmitMode

    protected org.richfaces.component.Mode resolveSubmitMode(AbstractMenuItem menuItem)

### getStyleClass

    protected String getStyleClass(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent component,
                                   String ddMenuStyle,
                                   String menuGroupStyle,
                                   String menuItemStyle)

### getDDMenu

    protected AbstractDropDownMenu getDDMenu(javax.faces.component.UIComponent component)

  Returns a parent `AbstractDropDownMenu` object of the given component.

  Parameters:
    `component` -
  Returns:
    `AbstractDropDownMenu`

### getMenuGroup

    protected AbstractMenuGroup getMenuGroup(javax.faces.component.UIComponent component)

  Returns a parent `AbstractMenuGroup` object of the given component.

  Parameters:
    `component` -
  Returns:
    `AbstractMenuGroup`

### isStringEmpty

    protected boolean isStringEmpty(String str)

  It is introduced due to RF-10004 CDK: isEmpty method is generated incorrectly

  Parameters:
    `str` -
  Returns:

### getSubmitMode

    public String getSubmitMode(javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.